Page MenuHomePhabricator

Update property suggester data
Closed, ResolvedPublic

Description

If the server admin log is to be believed, the property suggester data has not been updated in over four months, so its suggestions are beginning to degrade in quality – for example, @Harmonia_Amanda reports that it keeps suggesting the professional or sports partner property as the only qualifier for ISU figure skater ID statements, whereas the correct qualifier to use is now identifier shared with. This means that people keep using the wrong property and other users have to clean up after them.

@hoo in lieu of T72037 – which doesn’t look like it will happen soon – is there documentation for how to do a manual update (including the T132839 workarounds mentioned in the SAL messages) somewhere? I’d like to try doing the update (as @Lucas_Werkmeister_WMDE), so it’s not just one person who can do it :)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 6:52 PM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-03-19T17:47:47Z] <Lucas_WMDE> Updated the Wikidata property suggester with data from last Monday's JSON dump and applied the T132839 workarounds (T216270)

Lucas_Werkmeister_WMDE closed this task as Resolved.EditedMar 19 2019, 5:50 PM
Lucas_Werkmeister_WMDE claimed this task.

Should be done, and the suggested qualifier for ISU figure skater ID statements is now indeed identifier shared with (at least on the sandbox item).

I put together some documentation on Wikitech as well.